aboutsummaryrefslogtreecommitdiffstats
path: root/test/Maketests
diff options
context:
space:
mode:
authorArnold D. Robbins <arnold@skeeve.com>2018-01-17 18:22:05 +0200
committerArnold D. Robbins <arnold@skeeve.com>2018-01-17 18:22:05 +0200
commit8c26b0480d3f83416e6791a0453e3548e139a00f (patch)
tree2e5f368e845606894fd11adbfd0b97755e59abfe /test/Maketests
parentf125b932361d91ee4a92806a62704d3279da6417 (diff)
downloadegawk-8c26b0480d3f83416e6791a0453e3548e139a00f.tar.gz
egawk-8c26b0480d3f83416e6791a0453e3548e139a00f.tar.bz2
egawk-8c26b0480d3f83416e6791a0453e3548e139a00f.zip
Fix isarray to take unset variable.
Diffstat (limited to 'test/Maketests')
-rw-r--r--test/Maketests5
1 files changed, 5 insertions, 0 deletions
diff --git a/test/Maketests b/test/Maketests
index 6a685101..314aaaec 100644
--- a/test/Maketests
+++ b/test/Maketests
@@ -1327,6 +1327,11 @@ indirectcall2:
@AWKPATH="$(srcdir)" $(AWK) -f $@.awk >_$@ 2>&1 || echo EXIT CODE: $$? >>_$@
@-$(CMP) "$(srcdir)"/$@.ok _$@ && rm -f _$@
+isarrayunset:
+ @echo $@
+ @AWKPATH="$(srcdir)" $(AWK) -f $@.awk >_$@ 2>&1 || echo EXIT CODE: $$? >>_$@
+ @-$(CMP) "$(srcdir)"/$@.ok _$@ && rm -f _$@
+
lint:
@echo $@
@AWKPATH="$(srcdir)" $(AWK) -f $@.awk >_$@ 2>&1 || echo EXIT CODE: $$? >>_$@